Skip Menu |
 

This queue is for tickets about the Perl-MinimumVersion CPAN distribution.

Report information
The Basics
Id: 86449
Status: new
Priority: 0/
Queue: Perl-MinimumVersion

People
Owner: Nobody in particular
Requestors: ether [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: unicode symbols are not detected as a 5.16.0 dependency
The presence of unicode symbols indicates a dependency on perl 5.16.0: https://metacpan.org/module/perl5160delta#Unicode-Symbol-Names Example: http://matrix.cpantesters.org/?dist=Acme-LookOfDisapproval+0.002 running 'pmvers lib' in https://github.com/karenetheridge/Acme-LookOfDisapproval/tree/v0.002 gives: ------------------------------------------------------------ | file | explicit | syntax | external | | ------------------------------------------------------------ | | lib/Acme/LookOfDisapproval.pm | undef | undef | n/a | | lib/Acme/ಠ_ಠ.pm | undef | undef | n/a | | ------------------------------------------------------------ | | Minimum explicit version : ~ | | Minimum syntax version : ~ | | Minimum version of perl : v5.4.0 (default) | ------------------------------------------------------------ (unicode package names don't seem to be supported at all, so ignore that second .pm file.)


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.